// -----------------------------------------------------------------------------
//
//   MODELS: Grass models in Wavefront OBJ format.
//   AUTHOR: Julius aka Julio César (juliocesar2k7@gmail.com)
//
// TEXTURES: Grass #1, Grass #2 and Grass #3 texture packs.
//   AUTHOR: Nobiax (CC0 1.0 Universal)
//
//
// - All textures are edited to boost the overall light and to get rid of
//   near-black parts of the images.
//
// - Shaders written by Julius, 22-Jan-2018
//
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// GRASS (double-sided models)
// -----------------------------------------------------------------------------

// Base shader

textures/jul_grass/grass_base
{
    q3map_forceMeta                // required to use lightmaps for lighting
    q3map_noDirty                  // no dirtmapping (-dirty) on this surface

    q3map_lightmapSampleSize 8     // 1 lightmap pixel for every <N> game units

    surfaceparm trans
    surfaceparm alphashadow
}

// Grass 1

textures/jul_grass/grass1
{
    qer_editorImage models/jul_grass/grass1.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass1.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grass 2

textures/jul_grass/grass2
{
    qer_editorImage models/jul_grass/grass2.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass2.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grass 3

textures/jul_grass/grass3
{
    qer_editorImage models/jul_grass/grass3.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass3.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grass 4

textures/jul_grass/grass4
{
    qer_editorImage models/jul_grass/grass4.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass4.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grass 5

textures/jul_grass/grass5
{
    qer_editorImage models/jul_grass/grass5.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass5.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grass 6

textures/jul_grass/grass6
{
    qer_editorImage models/jul_grass/grass6.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass6.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// Grass 7

textures/jul_grass/grass7
{
    qer_editorImage models/jul_grass/grass7.tga
    qer_alphaFunc gequal 0.5

    q3map_baseShader textures/jul_grass/grass_base

    {
        map models/jul_grass/grass7.tga
        rgbGen identity
        alphaFunc GT0
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
