// -----------------------------------------------------------------------------
//
//   MODELS: Grass models in Wavefront OBJ format.
//   AUTHOR: Hugues Muller aka "Nobiax" aka "Yughues" (hmuller68@gmail.com)
//  LICENSE: CC0 1.0 Universal (CC0 1.0)
// HOMEPAGE: http://nobiax.deviantart.com | http://www.yughues-folio.com
//
//
// - All textures are edited to boost the overall light and to get rid of
//   near-black parts of the images.
//
// - Shaders written by Julius, 22-Jan-2018
//
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// GRASS
// -----------------------------------------------------------------------------

// Grass 1

textures/nbx_grass/grass1_VLIT
{
    qer_editorImage models/nbx_grass/grass1.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass1_back_VLIT

    //q3map_vertexScale 1.5             // light multiplier

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass1.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass1_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass1.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Grass 2

textures/nbx_grass/grass2_VLIT
{
    qer_editorImage models/nbx_grass/grass2.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass2_back_VLIT

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass2.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass2_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass2.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Grass 3

textures/nbx_grass/grass3_VLIT
{
    qer_editorImage models/nbx_grass/grass3.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass3_back_VLIT

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass3.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass3_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass3.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Grass 4

textures/nbx_grass/grass4_VLIT
{
    qer_editorImage models/nbx_grass/grass4.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass4_back_VLIT

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass4.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass4_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass4.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Grass 5

textures/nbx_grass/grass5_VLIT
{
    qer_editorImage models/nbx_grass/grass5.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass5_back_VLIT

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass5.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass5_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass5.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Grass 6

textures/nbx_grass/grass6_VLIT
{
    qer_editorImage models/nbx_grass/grass6.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass6_back_VLIT

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass6.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass6_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass6.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// Grass 7

textures/nbx_grass/grass7_VLIT
{
    qer_editorImage models/nbx_grass/grass7.tga
    //qer_alphaFunc gequal 0.5

    q3map_cloneShader textures/nbx_grass/grass7_back_VLIT

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm alphashadow
    surfaceparm pointlight

    {
        map models/nbx_grass/grass7.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

textures/nbx_grass/grass7_back_VLIT
{
    q3map_invert

    //q3map_vertexScale 1.5

    surfaceparm trans
    surfaceparm pointlight

    {
        map models/nbx_grass/grass7.tga
        rgbGen vertex
        alphaFunc GT0
    }
}

// EOF ------------------------------- EOF --------------------------------- EOF
